Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - f -

- fail_block : reg_named_capture_assign_t
- fbuffer : JSON_ParserStruct
- fd : accept_arg , connect_arg , inetsock_arg , io_internal_read_struct , io_internal_write_struct , ioctl_arg , pty_info , rb_io_t , read_internal_arg , recvfrom_arg , rsock_send_arg , select_args , udp_arg
- fd_close : rb_execarg
- fd_dup2 : rb_execarg
- fd_dup2_child : rb_execarg
- fd_open : rb_execarg
- fds : copy_stream_struct
- fdsets : select_args
- feature : autoload_data_i
- feedvalue : enumerator
- fffi_arg : fiddle_generic
- fffi_sarg : fiddle_generic
- ffloat : fiddle_generic
- fib : enumerator
- fiber : rb_thread_struct
- fiber_machine_stack_size : rb_vm_struct
- fiber_vm_stack_size : rb_vm_struct
- file : rb_const_entry_struct , RVALUE , yaml_emitter_s , yaml_parser_s
- filename : argf , eval_string_from_file_arg , oldbt_arg
- fin : cparse_params
- final : sip_interface_st , weakmap
- final_slots : heap_page , rb_objspace
- finalize : rb_io_t
- finalizer_table : rb_objspace
- finalizing : rb_objspace
- finish_func : rb_digest_metadata_t , rb_transcoder
- first_args : rb_thread_struct
- first_func : rb_thread_struct
- first_lineno : rb_binding_t , rb_iseq_location_struct
- first_post_arg : rb_args_info
- first_proc : rb_thread_struct
- flag : rb_call_info_struct , rb_const_entry_struct , rb_control_frame_struct , rb_method_entry_struct , Real , StrNode
- flags : _NtCmdLineElement , allocation_info , brace_args , CClassNode , ComplexDateData , DateData , DBM , gc_profile_record , getnameinfo_arg , OnigEncodingTypeST , rb_data_type_struct , rb_econv_t , rb_objspace , rb_postponed_job_struct , rb_transcoding , RBasic , RBasicRaw , recvfrom_arg , RNode , rsock_send_arg , RVALUE , SimpleDateData , StringIO , strscanner , zstream
- flip_cnt : rb_iseq_struct
- float_value : bytesequence4_or_float , RFloat
- flonum : RVALUE
- flow_level : yaml_emitter_s , yaml_parser_s
- flow_plain_allowed : yaml_emitter_s
- flush : zstream_run_args
- fname : load_file_arg , sysopen_struct
- for_iseq : iseq_compile_data
- fore : st_table_entry
- forever : join_arg
- fptr : binwrite_arg , bufread_arg , finish_writeconv_arg , pipe_list , RFile
- frac : Real
- free : ptr_data , RVALUE
- free_next : heap_page
- free_pages : rb_heap_struct
- freelist : heap_page , rb_heap_struct
- freeobj_trace : traceobj_arg
- from : OnigPairCaseFoldCodes
- full_mark : objspace_and_reason
- full_subst_length : cbsubst_info
- func : asynchronous_arg_t , brace_args , bug_reporters , call_queue , end_proc_data , exec_recursive_params , foreach_safe_arg , glob_args , hash_foreach_arg , INamesArg , magic_comment , obj_ivar_tag , oldbt_arg , rb_event_hook_struct , rb_method_cfunc_struct , rb_postponed_job_struct , rb_tp_struct , rb_unblock_callback , root_objects_data , trace_var , update_func_arg , zstream
- func_ii : rb_transcoder
- func_io : rb_transcoder
- func_si : rb_transcoder
- func_sio : rb_transcoder
- func_so : rb_transcoder
- funcs : tmx
- function : rb_data_type_struct